<?php
// Çıktı tamponlamayı ve oturumu başlat
ob_start();
session_start();

// Hata raporlamayı ayarla
error_reporting(0); // Canlı ortamda 0 olarak bırakabilirsiniz
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Include gerekli dosyalar
include("./header.php");

// Helper dosyasını include et
include '../inc/helper.php';

// Kategori filtrelemesi
$category = $_GET['category'] ?? null;
$query = 'SELECT * FROM products';

if ($category) {
    $query .= ' WHERE ProductCategory = :category';
}

$query .= ' ORDER BY id DESC';

$stmt = $db->prepare($query);

if ($category) {
    $stmt->bindParam(':category', $category);
}

$stmt->execute();
$products = $stmt->fetchAll(PDO::FETCH_OBJ);

// Sepeti oturumdan al
$basket = $_SESSION['basket'] ?? [];

// Admin bilgilerini çek
$admin = $db->query('SELECT * FROM admins WHERE id = 1')->fetch(PDO::FETCH_OBJ);
?>


<!-- Pop-up HTML -->
<html>
<head>
    <style>
        .new-product-landing-page .productList .plpProduct .productWrap .text {
            -webkit-line-clamp: 3;
            -webkit-box-orient: vertical;
            display: -webkit-box;
            font-size: 14px;
            font-weight: 400;
            margin-top: 10px;
            min-height: 50px;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        
        .popup-custom {
            display: none;
            position: fixed;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            background-color: white;
            padding: 20px;
            border: 1px solid #ddd;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            z-index: 1000;
            max-width: 90%;
            width: 400px;
            text-align: center;
        }

        .popup-background-custom {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 500;
        }

        .popup-title-custom {
            font-size: 20px;
            font-weight: bold;
            margin-bottom: 10px;
        }

        .popup-text-custom {
            font-size: 16px;
            margin-bottom: 20px;
        }

        .button-custom-hidden {
            display: none !important;
        }

        @media (max-width: 575.98px) {
            .popup-custom {
                width: 90%;
            }
        }

        .btn-custom-bg-blue {
            display: flex;
            align-items: center;
            justify-content: center;
            padding: 0;
            border-radius: 5px;
            font-size: 18px !important;
            font-weight: 400;
            text-transform: uppercase;
            background: #383838;
            border: 1px solid #383838;
            color: #fff;
            width: 100%;
            margin-top: 10px;
        }

        .icon-custom-basket-add {
            font-size: 30px;
            margin-right: 5px;
            font-family: Karaca !important;
            font-weight: 400;
            line-height: 1;
        }
    </style>
</head>
<body>
<div class="popup-background-custom" id="popup-bg"></div>
<div class="popup-custom" id="popup">
    <h2 class="popup-title-custom">UYARI</h2>
        <p class="popup-text-custom">Bu sayfadaki indirimli fiyatlardan yalnızca <strong>kredi kartı</strong> kullanıcıları yararlanabilmektedir.</p>
        <br>
        <p class="popup-text-custom"><strong>Ziraat Bankası</strong> ile anlaşmamız bitmiştir. Lütfen farklı bankalar üzerinden satın alım gerçekleştiriniz.</p>
    <div class="w-100">
        <div class="flex w-full flex-col">
            <button class="btn-custom-bg-blue text-base px-5 py-3 text-center text-white open-modal-add-basket krc-btn krc-btn-full specialkebab gtm-detail-addtobasket product-6683047" data-id="137">
                <i class="icon-custom-basket-add"></i>
                Alışverişe Devam Et
            </button>
        </div>
    </div>
</div>

<main class="container content"><div class="d-block d-sm-none mb-4"><div class="detail-banner-related-widget"></div></div><section class="krc-breadcrumb mb-3" style="margin-top: 40px;"><ul itemscope="" itemtype="http://schema.org/BreadcrumbList"><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><meta itemprop="name" content="Karaca"><a href="/" itemprop="item" class="item home"><span itemprop="name">Karaca</span><meta itemprop="position" content="1"></a></li><li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem"><span itemprop="name" class="d-flex align-items-center pr-2" style="font-size: 13px;">Çok Satanlar</span><meta itemprop="position" content="2"></li></ul></section><section><div class="quickOrderSuccessNotify"><span class="successMsg"><i class="krc-okay"></i> Seçtiğiniz ürün sepete eklendi. </span><span class="checkShoppingCart"><button data-href-link="/checkout/cart" class="krc-btn krc-btn-border">Sepete Git</button><a href="javascript:;" class="close"><i class="krc-close-circle"></i></a></span></div><div class="category-h1"><div class="category-name"><h1 class="inherit">Çok Satanlar</h1><h2 class="inherit2"></h2></div><div class="result-count productCountFilter"><span><?php echo count($products); ?></span> Ürün</div></div><div class="filterSelect"><div class="head"><div class="head-left"></div><div class="head-center"><span class="filterHeadText">Filtrele</span></div><div class="head-right"><i class="closeCustomBtn krc-close-circle"></i></div></div><div class="body"><div class="current-selected-filters"><div class="current-filters-header"><div class="current-filters-heading"> Seçili Filtreler </div><div class="header-clean-current-filters js-clear-all-category-filters mobile "> Temizle </div></div><div class="current-filters-body"></div></div><div id="accordion"><div class="filter-group"><div id="categoryFacetsMobilfreeShipping" class="filterList filterListMobile split-facet"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbxtrue-0-" class="checkbox category_filter_send mobile" value="true" data-eventlabel="Kargo Bedava" data-label="Kargo Bedava" data-filtercount="385" data-name="freeShipping" data-key="freeShipping"><label for="mobil-cbxtrue-0-" class="checkboxLabel" style="padding: 4px 0"><span class="slider round"></span><span class="filter-label">Kargo Bedava</span></label></li></ul></div><div id="categoryFacetsMobilbadgeTypes" class="filterList filterListMobile split-facet"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbx5-0-" class="checkbox category_filter_send mobile" value="5" data-eventlabel="Sepette İndirimli" data-label="Sepette İndirimli" data-filtercount="8" data-name="badgeTypes" data-key="badgeTypes"><label for="mobil-cbx5-0-" class="checkboxLabel" style="padding: 4px 0"><span class="slider round"></span><span class="filter-label">Sepette İndirimli</span></label></li></ul></div></div><span class="product-filter-boutique-title">Kelime Ara</span><div class="product-filter-boutique-group-main"><div class="product-filter-boutique-group"><label for="search-boutique"><i class="krc-search"></i></label><input type="text" name="qb" data-category="Çok Satanlar" data-name="qb" class="product-filter-search category_filter_send" value="" id="search-boutique-mobile" placeholder="Ara" autocomplete="off"></div><button class="apply_mobile_filter-up" disabled="disabled">Filtrele</button></div><div class="accordion-item collapsable-accordion-item first-collapsable-accordion-item product-attr-list-52"><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil52" aria-expanded="false"><span>İlgili Kategoriler <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil52" class="collapse filterList" data-parent="#accordion"><div class="product-filter-price-group"><label for="52"><i class="krc-search"></i></label><input class="product-filter-search" name="search-mobile" type="text" id="52" placeholder="İlgili Kategoriler Ara" autocomplete="off"></div><ul class="filterContent" data-eventaction="İlgili Kategoriler"><li class="checkbox "><input type="checkbox" id="mobil-cbxnevresim-takimi-0-52" class="checkbox category_filter_send mobile" value="Elektrikli Süpürge" data-eventlabel="Elektrikli Süpürge" data-label="Elektrikli Süpürge" data-filtercount="62" data-name="52" data-key="attribute"><label for="mobil-cbxnevresim-takimi-0-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Elektrikli Süpürge </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxkahve-fincani-1-52" class="checkbox category_filter_send mobile" value="Kahve Makinesi" data-eventlabel="Kahve Makinesi" data-label="Kahve Makinesi" data-filtercount="34" data-name="52" data-key="attribute"><label for="mobil-cbxkahve-fincani-1-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kahve Makinesi </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx12-kisilik-yemek-takimi-2-52" class="checkbox category_filter_send mobile" value="Mutfak Aletleri" data-eventlabel="Mutfak Aletleri" data-label="Mutfak Aletleri" data-filtercount="23" data-name="52" data-key="attribute"><label for="mobil-cbx12-kisilik-yemek-takimi-2-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Mutfak Aletleri </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxrose-gold-10-34" class="checkbox category_filter_send mobile" value="Rose Gold" data-eventlabel="Rose Gold" data-label="Rose Gold" data-filtercount="11" data-name="34" data-key="attribute"><label for="mobil-cbxrose-gold-10-34" class="checkboxLabel"><div class="hasCustomColor " style="--checkbox-bg-color: #eec8bf; border: 1px solid #eec8bf"><span class="has-custom-color-span"><i class="krc-okay"></i></span></div><span>Rose Gold </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxsiyah-11-34" class="checkbox category_filter_send mobile" value="Siyah" data-eventlabel="Siyah" data-label="Siyah" data-filtercount="10" data-name="34" data-key="attribute"><label for="mobil-cbxsiyah-11-34" class="checkboxLabel"><div class="hasCustomColor " style="--checkbox-bg-color: #000000; border: 1px solid #000000"><span class="has-custom-color-span"><i class="krc-okay"></i></span></div><span>Siyah </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxyesil-12-34" class="checkbox category_filter_send mobile" value="Yeşil" data-eventlabel="Yeşil" data-label="Yeşil" data-filtercount="8" data-name="34" data-key="attribute"><label for="mobil-cbxyesil-12-34" class="checkboxLabel"><div class="hasCustomColor " style="--checkbox-bg-color: #008000; border: 1px solid #008000"><span class="has-custom-color-span"><i class="krc-okay"></i></span></div><span>Yeşil </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxsari-13-34" class="checkbox category_filter_send mobile" value="Sarı" data-eventlabel="Sarı" data-label="Sarı" data-filtercount="7" data-name="34" data-key="attribute"><label for="mobil-cbxsari-13-34" class="checkboxLabel"><div class="hasCustomColor " style="--checkbox-bg-color: #ffcb30; border: 1px solid #ffcb30"><span class="has-custom-color-span"><i class="krc-okay"></i></span></div><span>Sarı </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxkahverengi-14-34" class="checkbox category_filter_send mobile" value="Kahverengi" data-eventlabel="Kahverengi" data-label="Kahverengi" data-filtercount="5" data-name="34" data-key="attribute"><label for="mobil-cbxkahverengi-14-34" class="checkboxLabel"><div class="hasCustomColor " style="--checkbox-bg-color: #5d2f0e; border: 1px solid #5d2f0e"><span class="has-custom-color-span"><i class="krc-okay"></i></span></div><span>Kahverengi </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxmor-15-34" class="checkbox category_filter_send mobile" value="Mor" data-eventlabel="Mor" data-label="Mor" data-filtercount="3" data-name="34" data-key="attribute"><label for="mobil-cbxmor-15-34" class="checkboxLabel"><div class="hasCustomColor " style="--checkbox-bg-color: #631ec1; border: 1px solid #631ec1"><span class="has-custom-color-span"><i class="krc-okay"></i></span></div><span>Mor </span></label></li><li class="product-filter-option-show-more d-flex align-items-center"><b class="d-flex align-items-center"><i class="krc-add"></i><span><u>Daha Fazla Göster</u></span></b></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73910"><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73910" aria-expanded="false"><span>Boyut <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73910" class="collapse filterList" data-parent="#accordion"><div class="product-filter-price-group"><label for="73910"><i class="krc-search"></i></label><input class="product-filter-search" name="search-mobile" type="text" id="73910" placeholder="Boyut Ara" autocomplete="off"></div><ul class="filterContent" data-eventaction="Boyut"><li class="checkbox "><input type="checkbox" id="mobil-cbx200x220-cm-0-73910" class="checkbox category_filter_send mobile" value="200x220 Cm" data-eventlabel="200x220 Cm" data-label="200x220 Cm" data-filtercount="49" data-name="73910" data-key="attribute"><label for="mobil-cbx200x220-cm-0-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>200x220 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx160x220-cm-1-73910" class="checkbox category_filter_send mobile" value="160x220 Cm" data-eventlabel="160x220 Cm" data-label="160x220 Cm" data-filtercount="16" data-name="73910" data-key="attribute"><label for="mobil-cbx160x220-cm-1-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>160x220 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx37x28x34-cm-2-73910" class="checkbox category_filter_send mobile" value="37x28x34 Cm" data-eventlabel="37x28x34 Cm" data-label="37x28x34 Cm" data-filtercount="11" data-name="73910" data-key="attribute"><label for="mobil-cbx37x28x34-cm-2-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>37x28x34 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx22-cm-3-73910" class="checkbox category_filter_send mobile" value="22 Cm" data-eventlabel="22 Cm" data-label="22 Cm" data-filtercount="9" data-name="73910" data-key="attribute"><label for="mobil-cbx22-cm-3-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>22 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx15-cm-4-73910" class="checkbox category_filter_send mobile" value="15 Cm" data-eventlabel="15 Cm" data-label="15 Cm" data-filtercount="8" data-name="73910" data-key="attribute"><label for="mobil-cbx15-cm-4-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>15 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx24x27x39-cm-5-73910" class="checkbox category_filter_send mobile" value="24x27x39 Cm" data-eventlabel="24x27x39 Cm" data-label="24x27x39 Cm" data-filtercount="7" data-name="73910" data-key="attribute"><label for="mobil-cbx24x27x39-cm-5-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>24x27x39 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx12-cm-6-73910" class="checkbox category_filter_send mobile" value="12 Cm" data-eventlabel="12 Cm" data-label="12 Cm" data-filtercount="6" data-name="73910" data-key="attribute"><label for="mobil-cbx12-cm-6-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>12 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx24-cm-7-73910" class="checkbox category_filter_send mobile" value="24 Cm" data-eventlabel="24 Cm" data-label="24 Cm" data-filtercount="6" data-name="73910" data-key="attribute"><label for="mobil-cbx24-cm-7-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>24 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx30-cm-8-73910" class="checkbox category_filter_send mobile" value="30 Cm" data-eventlabel="30 Cm" data-label="30 Cm" data-filtercount="5" data-name="73910" data-key="attribute"><label for="mobil-cbx30-cm-8-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>30 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx10-cm-9-73910" class="checkbox category_filter_send mobile" value="10 Cm" data-eventlabel="10 Cm" data-label="10 Cm" data-filtercount="4" data-name="73910" data-key="attribute"><label for="mobil-cbx10-cm-9-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>10 Cm </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbx12-5x12-5x35-cm-10-73910" class="checkbox category_filter_send mobile" value="12, 5x12, 5x35 Cm" data-eventlabel="12, 5x12, 5x35 Cm" data-label="12, 5x12, 5x35 Cm" data-filtercount="4" data-name="73910" data-key="attribute"><label for="mobil-cbx12-5x12-5x35-cm-10-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>12, 5x12, 5x35 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx20x14-5x22-5-cm-11-73910" class="checkbox category_filter_send mobile" value="20x14, 5x22, 5 Cm" data-eventlabel="20x14, 5x22, 5 Cm" data-label="20x14, 5x22, 5 Cm" data-filtercount="4" data-name="73910" data-key="attribute"><label for="mobil-cbx20x14-5x22-5-cm-11-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>20x14, 5x22, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx26-cm-12-73910" class="checkbox category_filter_send mobile" value="26 Cm" data-eventlabel="26 Cm" data-label="26 Cm" data-filtercount="4" data-name="73910" data-key="attribute"><label for="mobil-cbx26-cm-12-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>26 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx34-cm-13-73910" class="checkbox category_filter_send mobile" value="34 Cm" data-eventlabel="34 Cm" data-label="34 Cm" data-filtercount="4" data-name="73910" data-key="attribute"><label for="mobil-cbx34-cm-13-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>34 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx35x24x34-cm-14-73910" class="checkbox category_filter_send mobile" value="35x24x34 Cm" data-eventlabel="35x24x34 Cm" data-label="35x24x34 Cm" data-filtercount="4" data-name="73910" data-key="attribute"><label for="mobil-cbx35x24x34-cm-14-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>35x24x34 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx28x20x23-cm-15-73910" class="checkbox category_filter_send mobile" value="28x20x23 Cm" data-eventlabel="28x20x23 Cm" data-label="28x20x23 Cm" data-filtercount="3" data-name="73910" data-key="attribute"><label for="mobil-cbx28x20x23-cm-15-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>28x20x23 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx31x40x19-cm-16-73910" class="checkbox category_filter_send mobile" value="31x40x19 Cm" data-eventlabel="31x40x19 Cm" data-label="31x40x19 Cm" data-filtercount="3" data-name="73910" data-key="attribute"><label for="mobil-cbx31x40x19-cm-16-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>31x40x19 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx33-5-x-18-cm-17-73910" class="checkbox category_filter_send mobile" value="33, 5 X 18 Cm" data-eventlabel="33, 5 X 18 Cm" data-label="33, 5 X 18 Cm" data-filtercount="3" data-name="73910" data-key="attribute"><label for="mobil-cbx33-5-x-18-cm-17-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>33, 5 X 18 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx35-cm-18-73910" class="checkbox category_filter_send mobile" value="35 Cm" data-eventlabel="35 Cm" data-label="35 Cm" data-filtercount="3" data-name="73910" data-key="attribute"><label for="mobil-cbx35-cm-18-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>35 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx38x28x43-cm-19-73910" class="checkbox category_filter_send mobile" value="38x28x43 Cm" data-eventlabel="38x28x43 Cm" data-label="38x28x43 Cm" data-filtercount="3" data-name="73910" data-key="attribute"><label for="mobil-cbx38x28x43-cm-19-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>38x28x43 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx38x29x13-5-cm-20-73910" class="checkbox category_filter_send mobile" value="38x29x13, 5 Cm" data-eventlabel="38x29x13, 5 Cm" data-label="38x29x13, 5 Cm" data-filtercount="3" data-name="73910" data-key="attribute"><label for="mobil-cbx38x29x13-5-cm-20-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>38x29x13, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx15x20x24-cm-21-73910" class="checkbox category_filter_send mobile" value="15x20x24 Cm" data-eventlabel="15x20x24 Cm" data-label="15x20x24 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx15x20x24-cm-21-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>15x20x24 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx16-cm-22-73910" class="checkbox category_filter_send mobile" value="16 Cm" data-eventlabel="16 Cm" data-label="16 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx16-cm-22-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>16 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx160x240-cm-23-73910" class="checkbox category_filter_send mobile" value="160x240 Cm" data-eventlabel="160x240 Cm" data-label="160x240 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx160x240-cm-23-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>160x240 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx17-cm-24-73910" class="checkbox category_filter_send mobile" value="17 Cm" data-eventlabel="17 Cm" data-label="17 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx17-cm-24-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>17 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx19-cm-25-73910" class="checkbox category_filter_send mobile" value="19 Cm" data-eventlabel="19 Cm" data-label="19 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx19-cm-25-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>19 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx195x215-cm-26-73910" class="checkbox category_filter_send mobile" value="195x215 Cm" data-eventlabel="195x215 Cm" data-label="195x215 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx195x215-cm-26-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>195x215 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx19x24x3-5-cm-27-73910" class="checkbox category_filter_send mobile" value="19x24x3, 5 Cm" data-eventlabel="19x24x3, 5 Cm" data-label="19x24x3, 5 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx19x24x3-5-cm-27-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>19x24x3, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx20-cm-28-73910" class="checkbox category_filter_send mobile" value="20 Cm" data-eventlabel="20 Cm" data-label="20 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx20-cm-28-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>20 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx28-cm-29-73910" class="checkbox category_filter_send mobile" value="28 Cm" data-eventlabel="28 Cm" data-label="28 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx28-cm-29-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>28 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx28x61x39-cm-30-73910" class="checkbox category_filter_send mobile" value="28x61x39 Cm" data-eventlabel="28x61x39 Cm" data-label="28x61x39 Cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx28x61x39-cm-30-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>28x61x39 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx37cm-31-73910" class="checkbox category_filter_send mobile" value="37cm" data-eventlabel="37cm" data-label="37cm" data-filtercount="2" data-name="73910" data-key="attribute"><label for="mobil-cbx37cm-31-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>37cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx0-9-cm-32-73910" class="checkbox category_filter_send mobile" value="0, 9 Cm" data-eventlabel="0, 9 Cm" data-label="0, 9 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx0-9-cm-32-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>0, 9 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx1-cm-33-73910" class="checkbox category_filter_send mobile" value="1 Cm" data-eventlabel="1 Cm" data-label="1 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx1-cm-33-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>1 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx110x180-cm-34-73910" class="checkbox category_filter_send mobile" value="110x180 Cm" data-eventlabel="110x180 Cm" data-label="110x180 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx110x180-cm-34-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>110x180 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx11x11x23-cm-35-73910" class="checkbox category_filter_send mobile" value="11x11x23 Cm" data-eventlabel="11x11x23 Cm" data-label="11x11x23 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx11x11x23-cm-35-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>11x11x23 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx12101311-36-73910" class="checkbox category_filter_send mobile" value="12*10/13*11" data-eventlabel="12*10/13*11" data-label="12*10/13*11" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx12101311-36-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>12*10/13*11 </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx12101411-5-37-73910" class="checkbox category_filter_send mobile" value="12*10/14*11, 5" data-eventlabel="12*10/14*11, 5" data-label="12*10/14*11, 5" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx12101411-5-37-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>12*10/14*11, 5 </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx12-3x9-3x9-4-38-73910" class="checkbox category_filter_send mobile" value="12, 3x9, 3x9, 4" data-eventlabel="12, 3x9, 3x9, 4" data-label="12, 3x9, 3x9, 4" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx12-3x9-3x9-4-38-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>12, 3x9, 3x9, 4 </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx13x110x25-cm-39-73910" class="checkbox category_filter_send mobile" value="13x110x25 Cm" data-eventlabel="13x110x25 Cm" data-label="13x110x25 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx13x110x25-cm-39-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>13x110x25 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx15x33x32-cm-40-73910" class="checkbox category_filter_send mobile" value="15x33x32 Cm" data-eventlabel="15x33x32 Cm" data-label="15x33x32 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx15x33x32-cm-40-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>15x33x32 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx160x200-cm-41-73910" class="checkbox category_filter_send mobile" value="160x200 Cm" data-eventlabel="160x200 Cm" data-label="160x200 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx160x200-cm-41-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>160x200 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx17x24x37-5-cm-42-73910" class="checkbox category_filter_send mobile" value="17x24x37, 5 Cm" data-eventlabel="17x24x37, 5 Cm" data-label="17x24x37, 5 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx17x24x37-5-cm-42-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>17x24x37, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx18-8x16-8x43-cm-43-73910" class="checkbox category_filter_send mobile" value="18, 8x16, 8x43 Cm" data-eventlabel="18, 8x16, 8x43 Cm" data-label="18, 8x16, 8x43 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx18-8x16-8x43-cm-43-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>18, 8x16, 8x43 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx180x230-cm-44-73910" class="checkbox category_filter_send mobile" value="180x230 Cm" data-eventlabel="180x230 Cm" data-label="180x230 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx180x230-cm-44-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>180x230 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx18x36x29-cm-45-73910" class="checkbox category_filter_send mobile" value="18x36x29 Cm" data-eventlabel="18x36x29 Cm" data-label="18x36x29 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx18x36x29-cm-45-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>18x36x29 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx20x37x28-cm-46-73910" class="checkbox category_filter_send mobile" value="20x37x28 Cm" data-eventlabel="20x37x28 Cm" data-label="20x37x28 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx20x37x28-cm-46-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>20x37x28 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx21-cm-47-73910" class="checkbox category_filter_send mobile" value="21 Cm" data-eventlabel="21 Cm" data-label="21 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx21-cm-47-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>21 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx21x15x25-cm-48-73910" class="checkbox category_filter_send mobile" value="21x15x25 Cm" data-eventlabel="21x15x25 Cm" data-label="21x15x25 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx21x15x25-cm-48-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>21x15x25 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx21x22-5x28-cm-49-73910" class="checkbox category_filter_send mobile" value="21x22, 5x28 Cm" data-eventlabel="21x22, 5x28 Cm" data-label="21x22, 5x28 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx21x22-5x28-cm-49-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>21x22, 5x28 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx22-cm-50-73910" class="checkbox category_filter_send mobile" value="22 cm" data-eventlabel="22 cm" data-label="22 cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx22-cm-50-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>22 cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx23-cm-51-73910" class="checkbox category_filter_send mobile" value="23 Cm" data-eventlabel="23 Cm" data-label="23 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx23-cm-51-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>23 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx230x240-cm-52-73910" class="checkbox category_filter_send mobile" value="230x240 Cm" data-eventlabel="230x240 Cm" data-label="230x240 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx230x240-cm-52-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>230x240 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx23x26x13-5-cm-53-73910" class="checkbox category_filter_send mobile" value="23x26x13, 5 Cm" data-eventlabel="23x26x13, 5 Cm" data-label="23x26x13, 5 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx23x26x13-5-cm-53-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>23x26x13, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx240x250-cm-54-73910" class="checkbox category_filter_send mobile" value="240x250 Cm" data-eventlabel="240x250 Cm" data-label="240x250 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx240x250-cm-54-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>240x250 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx240x260-cm-55-73910" class="checkbox category_filter_send mobile" value="240x260 Cm" data-eventlabel="240x260 Cm" data-label="240x260 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx240x260-cm-55-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>240x260 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx26-7x15-8x1-cm-56-73910" class="checkbox category_filter_send mobile" value="26, 7x15, 8x1 Cm" data-eventlabel="26, 7x15, 8x1 Cm" data-label="26, 7x15, 8x1 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx26-7x15-8x1-cm-56-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>26, 7x15, 8x1 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx28-5x44-5x17-5-cm-57-73910" class="checkbox category_filter_send mobile" value="28, 5x44, 5x17, 5 Cm" data-eventlabel="28, 5x44, 5x17, 5 Cm" data-label="28, 5x44, 5x17, 5 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx28-5x44-5x17-5-cm-57-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>28, 5x44, 5x17, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx28x21-cm-58-73910" class="checkbox category_filter_send mobile" value="28x21 Cm" data-eventlabel="28x21 Cm" data-label="28x21 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx28x21-cm-58-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>28x21 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx30x40-cm-59-73910" class="checkbox category_filter_send mobile" value="30x40 Cm" data-eventlabel="30x40 Cm" data-label="30x40 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx30x40-cm-59-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>30x40 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx30x40x4-cm-60-73910" class="checkbox category_filter_send mobile" value="30x40x4 Cm" data-eventlabel="30x40x4 Cm" data-label="30x40x4 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx30x40x4-cm-60-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>30x40x4 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx31-2x14-8x9-8-cm-61-73910" class="checkbox category_filter_send mobile" value="31, 2x14, 8x9, 8 Cm" data-eventlabel="31, 2x14, 8x9, 8 Cm" data-label="31, 2x14, 8x9, 8 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx31-2x14-8x9-8-cm-61-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>31, 2x14, 8x9, 8 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx33-5-cm-62-73910" class="checkbox category_filter_send mobile" value="33, 5 Cm" data-eventlabel="33, 5 Cm" data-label="33, 5 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx33-5-cm-62-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>33, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx33x24-5x1-2-cm-63-73910" class="checkbox category_filter_send mobile" value="33x24, 5x1, 2 Cm" data-eventlabel="33x24, 5x1, 2 Cm" data-label="33x24, 5x1, 2 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx33x24-5x1-2-cm-63-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>33x24, 5x1, 2 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx33x24x1-9-cm-64-73910" class="checkbox category_filter_send mobile" value="33x24x1, 9 Cm" data-eventlabel="33x24x1, 9 Cm" data-label="33x24x1, 9 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx33x24x1-9-cm-64-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>33x24x1, 9 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx33x54x29-cm-65-73910" class="checkbox category_filter_send mobile" value="33x54x29 Cm" data-eventlabel="33x54x29 Cm" data-label="33x54x29 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx33x54x29-cm-65-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>33x54x29 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx34-cm-66-73910" class="checkbox category_filter_send mobile" value="34 cm" data-eventlabel="34 cm" data-label="34 cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx34-cm-66-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>34 cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx35x45-cm-67-73910" class="checkbox category_filter_send mobile" value="35x45 Cm" data-eventlabel="35x45 Cm" data-label="35x45 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx35x45-cm-67-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>35x45 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx36-cm-68-73910" class="checkbox category_filter_send mobile" value="36 Cm" data-eventlabel="36 Cm" data-label="36 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx36-cm-68-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>36 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx37x14x14-cm-69-73910" class="checkbox category_filter_send mobile" value="37x14x14 Cm" data-eventlabel="37x14x14 Cm" data-label="37x14x14 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx37x14x14-cm-69-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>37x14x14 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx4-litre-70-73910" class="checkbox category_filter_send mobile" value="4 Litre" data-eventlabel="4 Litre" data-label="4 Litre" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx4-litre-70-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>4 Litre </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx40x21-cm-71-73910" class="checkbox category_filter_send mobile" value="40x21 Cm" data-eventlabel="40x21 Cm" data-label="40x21 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx40x21-cm-71-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>40x21 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx41-cm-72-73910" class="checkbox category_filter_send mobile" value="41 Cm" data-eventlabel="41 Cm" data-label="41 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx41-cm-72-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>41 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx42x31x43-cm-73-73910" class="checkbox category_filter_send mobile" value="42x31x43 Cm" data-eventlabel="42x31x43 Cm" data-label="42x31x43 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx42x31x43-cm-73-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>42x31x43 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx5-cm-74-73910" class="checkbox category_filter_send mobile" value="5 Cm" data-eventlabel="5 Cm" data-label="5 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx5-cm-74-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx50x90-cm-75-73910" class="checkbox category_filter_send mobile" value="50x90 Cm" data-eventlabel="50x90 Cm" data-label="50x90 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx50x90-cm-75-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>50x90 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx6-litre-76-73910" class="checkbox category_filter_send mobile" value="6 Litre" data-eventlabel="6 Litre" data-label="6 Litre" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx6-litre-76-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>6 Litre </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx70x25-cm-77-73910" class="checkbox category_filter_send mobile" value="70x25 Cm" data-eventlabel="70x25 Cm" data-label="70x25 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx70x25-cm-77-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>70x25 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx9-cm-78-73910" class="checkbox category_filter_send mobile" value="9 Cm" data-eventlabel="9 Cm" data-label="9 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx9-cm-78-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>9 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx9-5x10x29-5-cm-79-73910" class="checkbox category_filter_send mobile" value="9, 5x10x29, 5 Cm" data-eventlabel="9, 5x10x29, 5 Cm" data-label="9, 5x10x29, 5 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx9-5x10x29-5-cm-79-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>9, 5x10x29, 5 Cm </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbx97-cm-80-73910" class="checkbox category_filter_send mobile" value="9/7 Cm" data-eventlabel="9/7 Cm" data-label="9/7 Cm" data-filtercount="1" data-name="73910" data-key="attribute"><label for="mobil-cbx97-cm-80-73910" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>9/7 Cm </span></label></li><li class="product-filter-option-show-more d-flex align-items-center"><b class="d-flex align-items-center"><i class="krc-add"></i><span><u>Daha Fazla Göster</u></span></b></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73940"><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73940" aria-expanded="false"><span>Form <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73940" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Form"><li class="checkbox "><input type="checkbox" id="mobil-cbxyuvarlak-0-73940" class="checkbox category_filter_send mobile" value="Yuvarlak" data-eventlabel="Yuvarlak" data-label="Yuvarlak" data-filtercount="30" data-name="73940" data-key="attribute"><label for="mobil-cbxyuvarlak-0-73940" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Yuvarlak </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxkare-1-73940" class="checkbox category_filter_send mobile" value="Kare" data-eventlabel="Kare" data-label="Kare" data-filtercount="13" data-name="73940" data-key="attribute"><label for="mobil-cbxkare-1-73940" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kare </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73933"><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73933" aria-expanded="false"><span>Özellikler <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73933" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Özellikler"><li class="checkbox "><input type="checkbox" id="mobil-cbxbulasik-makinesinde-yikanilabilir-0-73933" class="checkbox category_filter_send mobile" value="Bulaşık Makinesinde Yıkanılabilir" data-eventlabel="Bulaşık Makinesinde Yıkanılabilir" data-label="Bulaşık Makinesinde Yıkanılabilir" data-filtercount="154" data-name="73933" data-key="attribute"><label for="mobil-cbxbulasik-makinesinde-yikanilabilir-0-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Bulaşık Makinesinde Yıkanılabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxyedek-parca-temini-yapilir-1-73933" class="checkbox category_filter_send mobile" value="Yedek Parça Temini Yapılır" data-eventlabel="Yedek Parça Temini Yapılır" data-label="Yedek Parça Temini Yapılır" data-filtercount="153" data-name="73933" data-key="attribute"><label for="mobil-cbxyedek-parca-temini-yapilir-1-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Yedek Parça Temini Yapılır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxkurutma-makinesinde-kurutulabilir-2-73933" class="checkbox category_filter_send mobile" value="Kurutma Makinesinde Kurutulabilir" data-eventlabel="Kurutma Makinesinde Kurutulabilir" data-label="Kurutma Makinesinde Kurutulabilir" data-filtercount="81" data-name="73933" data-key="attribute"><label for="mobil-cbxkurutma-makinesinde-kurutulabilir-2-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kurutma Makinesinde Kurutulabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxutu-kullanilabilir-3-73933" class="checkbox category_filter_send mobile" value="Ütü Kullanılabilir" data-eventlabel="Ütü Kullanılabilir" data-label="Ütü Kullanılabilir" data-filtercount="64" data-name="73933" data-key="attribute"><label for="mobil-cbxutu-kullanilabilir-3-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Ütü Kullanılabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxkuru-temizleme-yapilabilir-4-73933" class="checkbox category_filter_send mobile" value="Kuru Temizleme Yapılabilir" data-eventlabel="Kuru Temizleme Yapılabilir" data-label="Kuru Temizleme Yapılabilir" data-filtercount="62" data-name="73933" data-key="attribute"><label for="mobil-cbxkuru-temizleme-yapilabilir-4-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kuru Temizleme Yapılabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxcamasir-makinesinde-yikanabilir-5-73933" class="checkbox category_filter_send mobile" value="Çamaşır Makinesinde Yıkanabilir" data-eventlabel="Çamaşır Makinesinde Yıkanabilir" data-label="Çamaşır Makinesinde Yıkanabilir" data-filtercount="61" data-name="73933" data-key="attribute"><label for="mobil-cbxcamasir-makinesinde-yikanabilir-5-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Çamaşır Makinesinde Yıkanabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxinduksiyon-ocakta-kullanilabilir-6-73933" class="checkbox category_filter_send mobile" value="İndüksiyon Ocakta Kullanılabilir" data-eventlabel="İndüksiyon Ocakta Kullanılabilir" data-label="İndüksiyon Ocakta Kullanılabilir" data-filtercount="29" data-name="73933" data-key="attribute"><label for="mobil-cbxinduksiyon-ocakta-kullanilabilir-6-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>İndüksiyon Ocakta Kullanılabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxfirinda-kullanilabilir-7-73933" class="checkbox category_filter_send mobile" value="Fırında Kullanılabilir" data-eventlabel="Fırında Kullanılabilir" data-label="Fırında Kullanılabilir" data-filtercount="12" data-name="73933" data-key="attribute"><label for="mobil-cbxfirinda-kullanilabilir-7-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Fırında Kullanılabilir </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxmikrodalgada-kullanilabilir-8-73933" class="checkbox category_filter_send mobile" value="Mikrodalgada Kullanılabilir" data-eventlabel="Mikrodalgada Kullanılabilir" data-label="Mikrodalgada Kullanılabilir" data-filtercount="12" data-name="73933" data-key="attribute"><label for="mobil-cbxmikrodalgada-kullanilabilir-8-73933" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Mikrodalgada Kullanılabilir </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73938"><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73938" aria-expanded="false"><span>Hediye Seçenekleri <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73938" class="collapse filterList" data-parent="#accordion"><div class="product-filter-price-group"><label for="73938"><i class="krc-search"></i></label><input class="product-filter-search" name="search-mobile" type="text" id="73938" placeholder="Hediye Seçenekleri Ara" autocomplete="off"></div><ul class="filterContent" data-eventaction="Hediye Seçenekleri"><li class="checkbox "><input type="checkbox" id="mobil-cbxanneme-hediyeler-0-73938" class="checkbox category_filter_send mobile" value="Anneme Hediyeler" data-eventlabel="Anneme Hediyeler" data-label="Anneme Hediyeler" data-filtercount="187" data-name="73938" data-key="attribute"><label for="mobil-cbxanneme-hediyeler-0-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Anneme Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxkadinlara-ozel-hediyeler-1-73938" class="checkbox category_filter_send mobile" value="Kadınlara Özel Hediyeler" data-eventlabel="Kadınlara Özel Hediyeler" data-label="Kadınlara Özel Hediyeler" data-filtercount="152" data-name="73938" data-key="attribute"><label for="mobil-cbxkadinlara-ozel-hediyeler-1-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kadınlara Özel Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxev-tekstili-hediyeleri-2-73938" class="checkbox category_filter_send mobile" value="Ev Tekstili Hediyeleri" data-eventlabel="Ev Tekstili Hediyeleri" data-label="Ev Tekstili Hediyeleri" data-filtercount="133" data-name="73938" data-key="attribute"><label for="mobil-cbxev-tekstili-hediyeleri-2-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Ev Tekstili Hediyeleri </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxarkadasima-hediyeler-3-73938" class="checkbox category_filter_send mobile" value="Arkadaşıma Hediyeler" data-eventlabel="Arkadaşıma Hediyeler" data-label="Arkadaşıma Hediyeler" data-filtercount="103" data-name="73938" data-key="attribute"><label for="mobil-cbxarkadasima-hediyeler-3-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Arkadaşıma Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxsofra-keyfini-sevenlere-hediyeler-4-73938" class="checkbox category_filter_send mobile" value="Sofra Keyfini Sevenlere Hediyeler" data-eventlabel="Sofra Keyfini Sevenlere Hediyeler" data-label="Sofra Keyfini Sevenlere Hediyeler" data-filtercount="69" data-name="73938" data-key="attribute"><label for="mobil-cbxsofra-keyfini-sevenlere-hediyeler-4-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Sofra Keyfini Sevenlere Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxbabama-hediyeler-5-73938" class="checkbox category_filter_send mobile" value="Babama Hediyeler" data-eventlabel="Babama Hediyeler" data-label="Babama Hediyeler" data-filtercount="63" data-name="73938" data-key="attribute"><label for="mobil-cbxbabama-hediyeler-5-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Babama Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxerkeklere-ozel-hediyeler-6-73938" class="checkbox category_filter_send mobile" value="Erkeklere Özel Hediyeler" data-eventlabel="Erkeklere Özel Hediyeler" data-label="Erkeklere Özel Hediyeler" data-filtercount="39" data-name="73938" data-key="attribute"><label for="mobil-cbxerkeklere-ozel-hediyeler-6-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Erkeklere Özel Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxkahveseverlere-hediyeler-7-73938" class="checkbox category_filter_send mobile" value="Kahveseverlere Hediyeler" data-eventlabel="Kahveseverlere Hediyeler" data-label="Kahveseverlere Hediyeler" data-filtercount="39" data-name="73938" data-key="attribute"><label for="mobil-cbxkahveseverlere-hediyeler-7-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kahveseverlere Hediyeler </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxdogum-gunu-hediyeleri-8-73938" class="checkbox category_filter_send mobile" value="Doğum Günü Hediyeleri" data-eventlabel="Doğum Günü Hediyeleri" data-label="Doğum Günü Hediyeleri" data-filtercount="37" data-name="73938" data-key="attribute"><label for="mobil-cbxdogum-gunu-hediyeleri-8-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Doğum Günü Hediyeleri </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxyeni-is-ve-terfi-hediyeleri-9-73938" class="checkbox category_filter_send mobile" value="Yeni İş ve Terfi Hediyeleri" data-eventlabel="Yeni İş ve Terfi Hediyeleri" data-label="Yeni İş ve Terfi Hediyeleri" data-filtercount="35" data-name="73938" data-key="attribute"><label for="mobil-cbxyeni-is-ve-terfi-hediyeleri-9-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Yeni İş ve Terfi Hediyeleri </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxyilbasi-hediyeleri-10-73938" class="checkbox category_filter_send mobile" value="Yılbaşı Hediyeleri" data-eventlabel="Yılbaşı Hediyeleri" data-label="Yılbaşı Hediyeleri" data-filtercount="29" data-name="73938" data-key="attribute"><label for="mobil-cbxyilbasi-hediyeleri-10-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Yılbaşı Hediyeleri </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxkisiye-ozel-hediyeler-11-73938" class="checkbox category_filter_send mobile" value="Kişiye Özel Hediyeler" data-eventlabel="Kişiye Özel Hediyeler" data-label="Kişiye Özel Hediyeler" data-filtercount="24" data-name="73938" data-key="attribute"><label for="mobil-cbxkisiye-ozel-hediyeler-11-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kişiye Özel Hediyeler </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxtatliseverlere-hediyeler-12-73938" class="checkbox category_filter_send mobile" value="Tatlıseverlere Hediyeler" data-eventlabel="Tatlıseverlere Hediyeler" data-label="Tatlıseverlere Hediyeler" data-filtercount="23" data-name="73938" data-key="attribute"><label for="mobil-cbxtatliseverlere-hediyeler-12-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Tatlıseverlere Hediyeler </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxcayseverlere-hediyeler-13-73938" class="checkbox category_filter_send mobile" value="Çayseverlere Hediyeler" data-eventlabel="Çayseverlere Hediyeler" data-label="Çayseverlere Hediyeler" data-filtercount="23" data-name="73938" data-key="attribute"><label for="mobil-cbxcayseverlere-hediyeler-13-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Çayseverlere Hediyeler </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxtasarim-hediyeler-14-73938" class="checkbox category_filter_send mobile" value="Tasarım Hediyeler" data-eventlabel="Tasarım Hediyeler" data-label="Tasarım Hediyeler" data-filtercount="13" data-name="73938" data-key="attribute"><label for="mobil-cbxtasarim-hediyeler-14-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Tasarım Hediyeler </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxbebeklere-ve-cocuklara-hediyeler-15-73938" class="checkbox category_filter_send mobile" value="Bebeklere ve Çocuklara Hediyeler" data-eventlabel="Bebeklere ve Çocuklara Hediyeler" data-label="Bebeklere ve Çocuklara Hediyeler" data-filtercount="12" data-name="73938" data-key="attribute"><label for="mobil-cbxbebeklere-ve-cocuklara-hediyeler-15-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Bebeklere ve Çocuklara Hediyeler </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxyildonumu-hediyeleri-16-73938" class="checkbox category_filter_send mobile" value="Yıldönümü Hediyeleri" data-eventlabel="Yıldönümü Hediyeleri" data-label="Yıldönümü Hediyeleri" data-filtercount="9" data-name="73938" data-key="attribute"><label for="mobil-cbxyildonumu-hediyeleri-16-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Yıldönümü Hediyeleri </span></label></li><li class="checkbox show-more-checkbox"><input type="checkbox" id="mobil-cbxretro-sevenlere-hediyeler-17-73938" class="checkbox category_filter_send mobile" value="Retro Sevenlere Hediyeler" data-eventlabel="Retro Sevenlere Hediyeler" data-label="Retro Sevenlere Hediyeler" data-filtercount="5" data-name="73938" data-key="attribute"><label for="mobil-cbxretro-sevenlere-hediyeler-17-73938" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Retro Sevenlere Hediyeler </span></label></li><li class="product-filter-option-show-more d-flex align-items-center"><b class="d-flex align-items-center"><i class="krc-add"></i><span><u>Daha Fazla Göster</u></span></b></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobilcustomCategory" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbx2120563-0-customCategory" class="checkbox category_filter_send mobile" value="2120563" data-eventlabel="Çok Al Az Öde" data-label="Çok Al Az Öde" data-filtercount="31" data-name="customCategory" data-key="customCategory"><label for="mobil-cbx2120563-0-customCategory" class="checkboxLabel"><span class="slider round"></span><span>Çok Al Az Öde </span></label></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobil53" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbxsadece-karacada-0-53" class="checkbox category_filter_send mobile" value="Sadece Karaca'da" data-eventlabel="Sadece Karaca'da" data-label="Sadece Karaca'da" data-filtercount="190" data-name="53" data-key="attribute"><label for="mobil-cbxsadece-karacada-0-53" class="checkboxLabel"><span class="slider round"></span><span>Sadece Karaca'da </span></label></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobil53" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbx360-derece-urunler-1-53" class="checkbox category_filter_send mobile" value="360 Derece Ürünler" data-eventlabel="Evinde Görüntüle" data-label="Evinde Görüntüle" data-filtercount="148" data-name="53" data-key="attribute"><label for="mobil-cbx360-derece-urunler-1-53" class="checkboxLabel"><span class="slider round"></span><span>Evinde Görüntüle </span></label></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobil53" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbxhediye-paketli-urunler-2-53" class="checkbox category_filter_send mobile" value="Hediye Paketli Ürünler" data-eventlabel="Hediye Paketli Ürünler" data-label="Hediye Paketli Ürünler" data-filtercount="114" data-name="53" data-key="attribute"><label for="mobil-cbxhediye-paketli-urunler-2-53" class="checkboxLabel"><span class="slider round"></span><span>Hediye Paketli Ürünler </span></label></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobil53" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbxvideolu-urunler-3-53" class="checkbox category_filter_send mobile" value="Videolu Ürünler" data-eventlabel="Videolu Ürünler" data-label="Videolu Ürünler" data-filtercount="68" data-name="53" data-key="attribute"><label for="mobil-cbxvideolu-urunler-3-53" class="checkboxLabel"><span class="slider round"></span><span>Videolu Ürünler </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73850 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73850" aria-expanded="false"><span>Mikrodalgada Kullanılabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73850" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Mikrodalgada Kullanılabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-0-73850" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="186" data-name="73850" data-key="attribute"><label for="mobil-cbxhayir-0-73850" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-1-73850" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="16" data-name="73850" data-key="attribute"><label for="mobil-cbxevet-1-73850" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevetkapaksiz-2-73850" class="checkbox category_filter_send mobile" value="Evet(kapaksız)" data-eventlabel="Evet(kapaksız)" data-label="Evet(kapaksız)" data-filtercount="2" data-name="73850" data-key="attribute"><label for="mobil-cbxevetkapaksiz-2-73850" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet(kapaksız) </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73807 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73807" aria-expanded="false"><span>Bulaşık Makinesinde Yıkanılabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73807" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Bulaşık Makinesinde Yıkanılabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-0-73807" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="190" data-name="73807" data-key="attribute"><label for="mobil-cbxevet-0-73807" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-1-73807" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="163" data-name="73807" data-key="attribute"><label for="mobil-cbxhayir-1-73807" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxplakalari-yikanabilir-2-73807" class="checkbox category_filter_send mobile" value="Plakaları Yıkanabilir" data-eventlabel="Plakaları Yıkanabilir" data-label="Plakaları Yıkanabilir" data-filtercount="1" data-name="73807" data-key="attribute"><label for="mobil-cbxplakalari-yikanabilir-2-73807" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Plakaları Yıkanabilir </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73849 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73849" aria-expanded="false"><span>Fırında Kullanılabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73849" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Fırında Kullanılabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-0-73849" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="113" data-name="73849" data-key="attribute"><label for="mobil-cbxhayir-0-73849" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-1-73849" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="18" data-name="73849" data-key="attribute"><label for="mobil-cbxevet-1-73849" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73851 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73851" aria-expanded="false"><span>İndüksiyon Ocakta Kullanılabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73851" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="İndüksiyon Ocakta Kullanılabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-0-73851" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="74" data-name="73851" data-key="attribute"><label for="mobil-cbxhayir-0-73851" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-1-73851" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="40" data-name="73851" data-key="attribute"><label for="mobil-cbxevet-1-73851" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73815 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73815" aria-expanded="false"><span>Çamaşır Makinesinde Yıkanabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73815" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Çamaşır Makinesinde Yıkanabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-0-73815" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="90" data-name="73815" data-key="attribute"><label for="mobil-cbxevet-0-73815" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-1-73815" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="10" data-name="73815" data-key="attribute"><label for="mobil-cbxhayir-1-73815" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73819 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73819" aria-expanded="false"><span>Kurutma Makinesinde Kurutulabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73819" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Kurutma Makinesinde Kurutulabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-0-73819" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="87" data-name="73819" data-key="attribute"><label for="mobil-cbxevet-0-73819" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-1-73819" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="9" data-name="73819" data-key="attribute"><label for="mobil-cbxhayir-1-73819" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-2-73819" class="checkbox category_filter_send mobile" value="evet" data-eventlabel="evet" data-label="evet" data-filtercount="1" data-name="73819" data-key="attribute"><label for="mobil-cbxevet-2-73819" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>evet </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73821 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73821" aria-expanded="false"><span>Kuru Temizleme Yapılabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73821" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Kuru Temizleme Yapılabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-0-73821" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="85" data-name="73821" data-key="attribute"><label for="mobil-cbxevet-0-73821" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-1-73821" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="17" data-name="73821" data-key="attribute"><label for="mobil-cbxhayir-1-73821" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-2-73821" class="checkbox category_filter_send mobile" value="EVET" data-eventlabel="EVET" data-label="EVET" data-filtercount="5" data-name="73821" data-key="attribute"><label for="mobil-cbxevet-2-73821" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>EVET </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73823 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73823" aria-expanded="false"><span>Ütü Kullanılabilir <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73823" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Ütü Kullanılabilir"><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-0-73823" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="87" data-name="73823" data-key="attribute"><label for="mobil-cbxevet-0-73823" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-1-73823" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="14" data-name="73823" data-key="attribute"><label for="mobil-cbxhayir-1-73823" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-2-73823" class="checkbox category_filter_send mobile" value="evet" data-eventlabel="evet" data-label="evet" data-filtercount="5" data-name="73823" data-key="attribute"><label for="mobil-cbxevet-2-73823" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>evet </span></label></li></ul></div></div><div class="accordion-item collapsable-accordion-item product-attr-list-73846 d-none "><button type="button" class="filterType" data-toggle="collapse" data-target="#categoryFacetsMobil73846" aria-expanded="false"><span>Yedek Parça Temini Yapılır <span class="filterTypeCount"></span></span><i class="krc-arrow2-bottom"></i><i class="krc-arrow2-top"></i></button><div id="categoryFacetsMobil73846" class="collapse filterList" data-parent="#accordion"><ul class="filterContent" data-eventaction="Yedek Parça Temini Yapılır"><li class="checkbox "><input type="checkbox" id="mobil-cbxevet-0-73846" class="checkbox category_filter_send mobile" value="Evet" data-eventlabel="Evet" data-label="Evet" data-filtercount="214" data-name="73846" data-key="attribute"><label for="mobil-cbxevet-0-73846" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Evet </span></label></li><li class="checkbox "><input type="checkbox" id="mobil-cbxhayir-1-73846" class="checkbox category_filter_send mobile" value="Hayır" data-eventlabel="Hayır" data-label="Hayır" data-filtercount="137" data-name="73846" data-key="attribute"><label for="mobil-cbxhayir-1-73846" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hayır </span></label></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobilstock" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbxfalse-0-stock" class="checkbox category_filter_send mobile" value="false" data-eventlabel="Stokta Olmayan Ürünler" data-label="Stokta Olmayan Ürünler" data-filtercount="544" data-name="stock" data-key="stock"><label for="mobil-cbxfalse-0-stock" class="checkboxLabel"><span class="slider round"></span><span>Stokta Olmayan Ürünler </span></label></li></ul></div></div><div class="accordion-item mobilToggleFilter"><div id="categoryFacetsMobilstoreDelivery" class="filterList filterListMobile"><ul class="filterContent" data-eventaction=""><li class="checkbox switchToggle"><input type="checkbox" id="mobil-cbxtrue-0-storeDelivery" class="checkbox category_filter_send mobile" value="true" data-eventlabel="Mağazadan Teslim" data-label="Mağazadan Teslim" data-filtercount="544" data-name="storeDelivery" data-key="storeDelivery"><label for="mobil-cbxtrue-0-storeDelivery" class="checkboxLabel"><span class="slider round"></span><span>Mağazadan Teslim </span></label></li></ul></div></div></div></div><div class="filterActionBtns"><button type="button" class="krc-btn krc-btn-full apply_mobile_filter">UYGULA </button></div></div><div class="product-landing-page new-product-landing-page"> <script>
                window.totalPage = 23;
            </script> <div class="plpMobile"><div class="plpMfilters"><div class="gridBtns"><a href="javascript:;" class="grid-2 " data-track="track-krc-two-grid"><img src="https://static.karaca.com/catalog/view/assets/images/icons/new-listing.svg" alt=""></a><a href="javascript:;" class="grid-1 " data-track="track-krc-one-grid"><img src="https://static.karaca.com/catalog/view/assets/images/icons/new-listing.svg" alt=""></a></div><div class="filterBtns"><div class="dropdown shortList"><button class="krc-btn krc-btn-border dropdown-toggle" type="button" id="filterSortOrder" data-toggle="dropdown" aria-expanded="false"><span> Önerilen Sıralama </span><img src="https://static.karaca.com/catalog/view/assets/images/icons/new-sorting.svg" alt=""></button><div class="dropdown-menu category_sort_order dropdown_sort" aria-labelledby="filterSortOrder"><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="suggested_sorting" data-order="ASC" data-key="sort" data-name="sort">Önerilen Sıralama</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="p.price" data-order="ASC" data-key="sort" data-name="sort">En Düşük Fiyat</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="p.price" data-order="DESC" data-key="sort" data-name="sort">En Yüksek Fiyat</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="sales_avg" data-order="DESC" data-key="sort" data-name="sort">En Çok Satan</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="pr.total_wishlist" data-order="DESC" data-key="sort" data-name="sort">En Çok Beğenilen</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="p.discount_rate" data-order="DESC" data-key="sort" data-name="sort">En Yüksek İndirim Oranı</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="p.total_review" data-order="DESC" data-key="sort" data-name="sort">En Çok Değerlendirilenler</a><a class="dropdown-item" href="javascript:;" data-track="track-plpsorting" data-value="p.date_available" data-order="DESC" data-key="sort" data-name="sort">En Yeniler</a></div></div><button class="krc-btn krc-btn-border filterBtn">Filtrele &nbsp; <span class="filter_count"></span><img src="https://static.karaca.com/catalog/view/assets/images/icons/new-filter.svg" alt=""></button></div></div><div class="quickOrderSuccessNotify"><span class="successMsg"><i class="krc-okay"></i> Seçtiğiniz ürün sepete eklendi. </span><span class="checkShoppingCart"><button data-href-link="/checkout/cart" class="krc-btn krc-btn-border">Sepete Git</button><a href="javascript:;" class="close"><i class="krc-close-circle"></i></a></span></div></div><div class="filters"><div class=""><div class="productCount productCountFilter"><span><?php echo count($products); ?></span>&nbsp;Ürün var</div></div><span class="product-filter-boutique-title">Kelime Ara</span><div class="product-filter-boutique-group-main"><div class="product-filter-boutique-group"><label for="search-boutique"><i class="krc-search"></i></label><input type="text" name="qb" data-category="Çok Satanlar" data-label="" data-key="qb" data-eventlabel="" data-name="qb" class="product-filter-search category_filter_send" value="" id="search-boutique" placeholder="Ara" autocomplete="off"></div><button class="apply_desktop_btn_filter" disabled="disabled">Filtrele</button></div><div class="filterType filterTypeHasAccordion firstFilterTypeHasAccordion "><a href="javascript:;" class="head" aria-expanded="true"><span class="filterTypeText">İlgili Kategoriler <span class="filterTypeCount"></span></span><i class="filterIcon krc-arrow2-top"></i></a><ul id="product-attr-list-52" class="filterContent checkbox customScroll facet_52 filter_list" data-eventaction="İlgili Kategoriler" data-category="Çok Satanlar"><div class="product-filter-price-group"><label for="52"><i class="krc-search"></i></label><input class="product-filter-search" name="search-desktop" type="text" id="52" placeholder="İlgili Kategoriler Ara" autocomplete="off"></div><li class=""><input type="checkbox" id="cbx-filter-nevresim-takimi-0-52" class="checkbox category_filter_send" value="Elektrikli Süpürge" data-label="Elektrikli Süpürge" data-name="52" data-eventlabel="Elektrikli Süpürge" data-key="attribute" data-filtercount="62"><label for="cbx-filter-nevresim-takimi-0-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Elektrikli Süpürge <span class="filter-count">(2) </span></span></label></li><li class=""><input type="checkbox" id="cbx-filter-kahve-fincani-1-52" class="checkbox category_filter_send" value="Kahve Makinesi" data-label="Kahve Makinesi" data-name="52" data-eventlabel="Kahve Makinesi" data-key="attribute" data-filtercount="34"><label for="cbx-filter-kahve-fincani-1-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kahve Makinesi <span class="filter-count">(3) </span></span></label></li><li class=""><input type="checkbox" id="cbx-filter-12-kisilik-yemek-takimi-2-52" class="checkbox category_filter_send" value="Mutfak Aletleri" data-label="Mutfak Aletleri" data-name="52" data-eventlabel="Mutfak Aletleri" data-key="attribute" data-filtercount="23"><label for="cbx-filter-12-kisilik-yemek-takimi-2-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Mutfak Aletleri <span class="filter-count">(9) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-filtre-kahve-makinesi-51-52" class="checkbox category_filter_send" value="Filtre Kahve Makinesi" data-label="Filtre Kahve Makinesi-51" data-name="52" data-eventlabel="Filtre Kahve Makinesi" data-key="attribute" data-filtercount="2"><label for="cbx-filter-filtre-kahve-makinesi-51-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Filtre Kahve Makinesi <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-mama-takimi-52-52" class="checkbox category_filter_send" value="Mama Takımı" data-label="Mama Takımı-52" data-name="52" data-eventlabel="Mama Takımı" data-key="attribute" data-filtercount="2"><label for="cbx-filter-mama-takimi-52-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Mama Takımı <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-midi-set-celik-53-52" class="checkbox category_filter_send" value="Midi Set-çelik" data-label="Midi Set-çelik-53" data-name="52" data-eventlabel="Midi Set-çelik" data-key="attribute" data-filtercount="2"><label for="cbx-filter-midi-set-celik-53-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Midi Set-çelik <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-nevresim-pike-takimi-54-52" class="checkbox category_filter_send" value="Nevresim Pike Takımı" data-label="Nevresim Pike Takımı-54" data-name="52" data-eventlabel="Nevresim Pike Takımı" data-key="attribute" data-filtercount="2"><label for="cbx-filter-nevresim-pike-takimi-54-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Nevresim Pike Takımı <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-robot-supurge-55-52" class="checkbox category_filter_send" value="Robot Süpürge" data-label="Robot Süpürge-55" data-name="52" data-eventlabel="Robot Süpürge" data-key="attribute" data-filtercount="2"><label for="cbx-filter-robot-supurge-55-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Robot Süpürge <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-su-isitici-56-52" class="checkbox category_filter_send" value="Su Isıtıcı" data-label="Su Isıtıcı-56" data-name="52" data-eventlabel="Su Isıtıcı" data-key="attribute" data-filtercount="2"><label for="cbx-filter-su-isitici-56-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Su Isıtıcı <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-yatay-supurge-57-52" class="checkbox category_filter_send" value="Yatay Süpürge" data-label="Yatay Süpürge-57" data-name="52" data-eventlabel="Yatay Süpürge" data-key="attribute" data-filtercount="2"><label for="cbx-filter-yatay-supurge-57-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Yatay Süpürge <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-carsaf-takimi-58-52" class="checkbox category_filter_send" value="Çarşaf Takımı" data-label="Çarşaf Takımı-58" data-name="52" data-eventlabel="Çarşaf Takımı" data-key="attribute" data-filtercount="2"><label for="cbx-filter-carsaf-takimi-58-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Çarşaf Takımı <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-cay-seti-59-52" class="checkbox category_filter_send" value="Çay Seti" data-label="Çay Seti-59" data-name="52" data-eventlabel="Çay Seti" data-key="attribute" data-filtercount="2"><label for="cbx-filter-cay-seti-59-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Çay Seti <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-ceyiz-seti-mutfak-60-52" class="checkbox category_filter_send" value="Çeyiz Seti Mutfak" data-label="Çeyiz Seti Mutfak-60" data-name="52" data-eventlabel="Çeyiz Seti Mutfak" data-key="attribute" data-filtercount="2"><label for="cbx-filter-ceyiz-seti-mutfak-60-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Çeyiz Seti Mutfak <span class="filter-count">(2) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-cezve-61-52" class="checkbox category_filter_send" value="Cezve" data-label="Cezve-61" data-name="52" data-eventlabel="Cezve" data-key="attribute" data-filtercount="1"><label for="cbx-filter-cezve-61-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Cezve <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-comfort-set-62-52" class="checkbox category_filter_send" value="Comfort Set" data-label="Comfort Set-62" data-name="52" data-eventlabel="Comfort Set" data-key="attribute" data-filtercount="1"><label for="cbx-filter-comfort-set-62-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Comfort Set <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-ekmek-yapma-makinesi-63-52" class="checkbox category_filter_send" value="Ekmek Yapma Makinesi" data-label="Ekmek Yapma Makinesi-63" data-name="52" data-eventlabel="Ekmek Yapma Makinesi" data-key="attribute" data-filtercount="1"><label for="cbx-filter-ekmek-yapma-makinesi-63-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Ekmek Yapma Makinesi <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-elektrikli-pisirici-64-52" class="checkbox category_filter_send" value="Elektrikli Pişirici" data-label="Elektrikli Pişirici-64" data-name="52" data-eventlabel="Elektrikli Pişirici" data-key="attribute" data-filtercount="1"><label for="cbx-filter-elektrikli-pisirici-64-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Elektrikli Pişirici <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-hava-temizleme-65-52" class="checkbox category_filter_send" value="Hava Temizleme" data-label="Hava Temizleme-65" data-name="52" data-eventlabel="Hava Temizleme" data-key="attribute" data-filtercount="1"><label for="cbx-filter-hava-temizleme-65-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Hava Temizleme <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-kase-66-52" class="checkbox category_filter_send" value="Kase" data-label="Kase-66" data-name="52" data-eventlabel="Kase" data-key="attribute" data-filtercount="1"><label for="cbx-filter-kase-66-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Kase <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-kati-meyve-sikacagi-67-52" class="checkbox category_filter_send" value="Katı Meyve Sıkacağı" data-label="Katı Meyve Sıkacağı-67" data-name="52" data-eventlabel="Katı Meyve Sıkacağı" data-key="attribute" data-filtercount="1"><label for="cbx-filter-kati-meyve-sikacagi-67-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Katı Meyve Sıkacağı <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-midi-set-yanmaz-yapismaz-68-52" class="checkbox category_filter_send" value="Midi Set Yanmaz-yapışmaz" data-label="Midi Set Yanmaz-yapışmaz-68" data-name="52" data-eventlabel="Midi Set Yanmaz-yapışmaz" data-key="attribute" data-filtercount="1"><label for="cbx-filter-midi-set-yanmaz-yapismaz-68-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Midi Set Yanmaz-yapışmaz <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-midi-set-celik-69-52" class="checkbox category_filter_send" value="Midi Set Çelik" data-label="Midi Set Çelik-69" data-name="52" data-eventlabel="Midi Set Çelik" data-key="attribute" data-filtercount="1"><label for="cbx-filter-midi-set-celik-69-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Midi Set Çelik <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-mikser-70-52" class="checkbox category_filter_send" value="Mikser" data-label="Mikser-70" data-name="52" data-eventlabel="Mikser" data-key="attribute" data-filtercount="1"><label for="cbx-filter-mikser-70-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Mikser <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-nevresim-battaniye-takimi-71-52" class="checkbox category_filter_send" value="Nevresim Battaniye Takımı" data-label="Nevresim Battaniye Takımı-71" data-name="52" data-eventlabel="Nevresim Battaniye Takımı" data-key="attribute" data-filtercount="1"><label for="cbx-filter-nevresim-battaniye-takimi-71-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Nevresim Battaniye Takımı <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-sahan-yanmaz-yapismaz-72-52" class="checkbox category_filter_send" value="Sahan Yanmaz-yapışmaz" data-label="Sahan Yanmaz-yapışmaz-72" data-name="52" data-eventlabel="Sahan Yanmaz-yapışmaz" data-key="attribute" data-filtercount="1"><label for="cbx-filter-sahan-yanmaz-yapismaz-72-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Sahan Yanmaz-yapışmaz <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-sahan-celik-73-52" class="checkbox category_filter_send" value="Sahan Çelik" data-label="Sahan Çelik-73" data-name="52" data-eventlabel="Sahan Çelik" data-key="attribute" data-filtercount="1"><label for="cbx-filter-sahan-celik-73-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Sahan Çelik <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-tava-yanmaz-yapismaz-74-52" class="checkbox category_filter_send" value="Tava Yanmaz-yapışmaz" data-label="Tava Yanmaz-yapışmaz-74" data-name="52" data-eventlabel="Tava Yanmaz-yapışmaz" data-key="attribute" data-filtercount="1"><label for="cbx-filter-tava-yanmaz-yapismaz-74-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Tava Yanmaz-yapışmaz <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-tek-tencere-diger-75-52" class="checkbox category_filter_send" value="Tek Tencere Diğer" data-label="Tek Tencere Diğer-75" data-name="52" data-eventlabel="Tek Tencere Diğer" data-key="attribute" data-filtercount="1"><label for="cbx-filter-tek-tencere-diger-75-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Tek Tencere Diğer <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-tenc-seti-yy-celik-76-52" class="checkbox category_filter_send" value="Tenc Seti Y.y &amp;çelik" data-label="Tenc Seti Y.y &amp;çelik-76" data-name="52" data-eventlabel="Tenc Seti Y.y &amp;çelik" data-key="attribute" data-filtercount="1"><label for="cbx-filter-tenc-seti-yy-celik-76-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Tenc Seti Y.y &amp;çelik <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-waffle-makinesi-77-52" class="checkbox category_filter_send" value="Waffle Makinesi" data-label="Waffle Makinesi-77" data-name="52" data-eventlabel="Waffle Makinesi" data-key="attribute" data-filtercount="1"><label for="cbx-filter-waffle-makinesi-77-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Waffle Makinesi <span class="filter-count">(1) </span></span></label></li><li class="show-more-checkbox"><input type="checkbox" id="cbx-filter-cay-fincani-78-52" class="checkbox category_filter_send" value="Çay Fincanı" data-label="Çay Fincanı-78" data-name="52" data-eventlabel="Çay Fincanı" data-key="attribute" data-filtercount="1"><label for="cbx-filter-cay-fincani-78-52" class="checkboxLabel"><div><i class="krc-okay"></i></div><span>Çay Fincanı <span class="filter-count">(1) </span></span></label></li><li class="product-filter-option-show-more d-flex align-items-center"><b class="d-flex align-items-center"></b></li></ul></div><input type="hidden" id="ab-test-apply-filter-button" value=""></div><div class="productList grid-4"><div class="filtersHeader"><ul class="selectedFilters"><div class="current-selected-filters w-100" style="display: none"><div class="current-filters-header"><div class="current-filters-heading"> Seçili Filtreler </div><div class="header-clean-current-filters js-clear-all-category-filters clearFilter"> Filtreleri Temizle <i class="krc-close-circle"></i></div></div><div class="current-filters-body"></div></div></ul><div class="changeGrid"><div class="mobile-pdp-tab" id="fast-delivery-info"><div class="heading"><div class="close"><button><i class="krc-close"></i></button></div></div><div class="inner"><span class="title">Hızlı Teslimat Nasıl Çalışır?</span><p class="text">Belirli il ve ilçelerde Pazartesi-Perşembe günleri arası saat 15:00'a kadar verilen siparişler oluşturulduktan 1 gün sonra veya aynı gün teslimatı yapılır. Teslimat süresi, kargo kapasitesine, hava şartlarına göre değişiklik gösterebilir. </p><div class="button"><a class="krc-btn krc-btn-border" href="/hizli-teslimat">Daha Fazla Bilgi Al</a></div></div></div><a href="javascript:;" data-grid="grid-3" data-track="track-krc-three-grid" class="krc-btn krc-btn-border listGrid listGrid3 "><i class="krc-three-grid"></i></a><a href="javascript:;" data-grid="grid-4" data-track="track-krc-four-grid" class="krc-btn krc-btn-border listGrid listGrid4 active"><i class="krc-four-grid"></i></a><div class="dropdown shortList"><button class="krc-btn krc-btn-border dropdown-toggle" type="button" id="filterSortOrder" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span> Önerilen Sıralama </span><img src="https://static.karaca.com/catalog/view/assets/images/icons/new-sorting.svg" alt=""></button><div class="dropdown-menu category_sort_order" aria-labelledby="filterSortOrder"><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="suggested_sorting" data-order="ASC" data-key="sort" data-name="sort">Önerilen Sıralama</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="p.price" data-order="ASC" data-key="sort" data-name="sort">En Düşük Fiyat</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="p.price" data-order="DESC" data-key="sort" data-name="sort">En Yüksek Fiyat</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="sales_avg" data-order="DESC" data-key="sort" data-name="sort">En Çok Satan</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="pr.total_wishlist" data-order="DESC" data-key="sort" data-name="sort">En Çok Beğenilen</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="p.discount_rate" data-order="DESC" data-key="sort" data-name="sort">En Yüksek İndirim Oranı</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="p.total_review" data-order="DESC" data-key="sort" data-name="sort">En Çok Değerlendirilenler</a><a class="dropdown-item" data-track="track-plpsorting" href="javascript:;" data-value="p.date_available" data-order="DESC" data-key="sort" data-name="sort">En Yeniler</a><input type="checkbox" name="sort" class="sort_filter category_filter_send" hidden="" value="" data-key="sort"><input type="checkbox" name="order" class="order_filter category_filter_send" hidden="" value="" data-key="order"></div></div></div></div><div class="productListLoop"></div>

                <?php if (count($products) === 0) { ?>
                    <span class="pb-5">Aradığınız kategoride ürün bulunamadı!</span>
                <?php } ?>
                <?php foreach ($products as $product) {
                    $rating = rand(40, 50) / 10;
                    $reviews = rand(30, 100);
                    ?>
                    <div class="plpProduct  undefined " id="" data-productid="7003840" data-pageno="">
                        <div class="productWrap">
                            <a class="addFavoriteC productFavIcon" data-product-id="7003840" style="cursor:pointer">
                                <i class=" krc-heart "></i>
                            </a>

                            <a rel="bookmark" href="urun.php?s=<?= $product->ProductSefURL ?>&i=<?= $product->id ?>" title="<?= $product->ProductName ?>" class="plp-url productItem gtm-productItem product-7003840" data-track="track-productcard" data-productname="<?= $product->ProductName ?>" data-productid="7003840" data-productprice="499.99" data-productbrand="Dr.Inox" data-productcategory="" data-productmpn="000001000018508001" data-discountrate="0" data-productoriginalprice="499.99" data-productfavcount="26722" data-position="" data-productcommentcount="100" data-productrating="4.6" data-hizlites="0" data-productbadges="Kargo Bedava A,Ücretsiz Kargo" data-firsaturunu="0" data-ucretsizkargo="0" data-stock="1" data-categoryname="Mutfak Grubu / Hazırlık Gereçleri / Bıçak Seti" data-categorymap="Mutfak Grubu / Hazırlık Gereçleri / Bıçak Seti" data-categorymapid="13 / 2102219 / 1310100" data-categoryid="1310100" data-barcode="8697918984687" data-variant="" data-action-list="">

                                <div class="swiper-container swiper-container-product-preview swiper-container-initialized swiper-container-horizontal swiper-container-pointer-events">

                                    <div class="swiper-wrapper" id="swiper-wrapper-957422d1bbcc7c310" aria-live="polite" style="transform: translate3d(0px, 0px, 0px);">
                                        <div class="swiper-slide swiper-slide-active" style="width: 253px;" role="group" aria-label="1 / 2">
                                            <img src="assets/img/products/<?= $product->ImageURL ?>" class="lazy entered loading" data-src="assets/img/products/<?= $product->ImageURL ?>" alt="<?= $product->ProductName ?>" data-ll-status="loading">
                                        </div>
                                    </div>
                                    <div class="swiper-pagination swiper-pagination-clickable swiper-pagination-bullets"><span class="swiper-pagination-bullet swiper-pagination-bullet-active" tabindex="0" role="button" aria-label="Go to slide 1"></span><span class="swiper-pagination-bullet" tabindex="0" role="button" aria-label="Go to slide 2"></span></div>
                                    <div class="swiper-pagination imgHover swiper-pagination-clickable swiper-pagination-bullets"><span class="swiper-pagination-bullet swiper-pagination-bullet-active" tabindex="0" role="button" aria-label="Go to slide 1"></span><span class="swiper-pagination-bullet" tabindex="0" role="button" aria-label="Go to slide 2"></span></div>

                                    <span class="swiper-notification" aria-live="assertive" aria-atomic="true"></span></div>

                                <div class="inner">
                <span class="text">
                    <h3 title="<?= $product->ProductName ?>" class="text">
                                                <?= $product->ProductName ?></h3>
                </span>
                                    <span class="ratings">

                        <i class="krc-star-fill"></i> <span><?= number_format($rating, 1) ?></span> <em>(<?= $reviews ?>) Değerlendirme</em>

            </span>
                                    <span class="price">

                   <div class="discountContainer">
                        <span class="prices">
                             <span class="new">
                             <?= $product->ProductPrice ?> TL
                             </span>
                        </span>
                   </div>

            </span>

                                    <div data-productname="<?= $product->ProductName ?>" data-productid="7003840" data-track="track-addtocart" class="add-cart-button-mobile" style="display: none;">
                                        <form class="infoLine addBasket order-11" name="addToCartQuick" action="" role="form" method="post" id="addToCartQuick-7003840">

                                            <input type="hidden" name="without" id="without" value="">
                                            <input type="hidden" name="quantity" value="1">
                                            <input type="hidden" name="product_id" value="7003840">
                                            <button class="quickOrderBtn open-modal-add-basket krc-btn krc-btn-border" data-track="track-addtocart" title="Sepete Ekle" id="quickAdd-7003840" data-productid="7003840"><i class="krc-add-to-basket"></i> Sepete Ekle
                                            </button>

                                        </form>
                                    </div>

                                </div>

                                <span class="tags innertags">

                <ul>


                        <li><span class="dot"></span>Ücretsiz Kargo</li>







                </ul>
           </span>
                                <span class="tags tagsDesktop ">
            <div class="d-none d-sm-block mb-1">

            </div>
                <ul>


                        <li><span class="dot"></span>Ücretsiz Kargo</li>







                </ul>
            </span>

                                <div data-productname="<?= $product->ProductName ?>" data-productid="7003840" data-track="track-addtocart" class="add-cart-button">
                                    <form class="infoLine addBasket order-11" name="addToCartQuick" action="" role="form" method="post" id="addToCartQuick-7003840">

                                        <input type="hidden" name="without" id="without" value="">
                                        <input type="hidden" name="quantity" value="1">
                                        <input type="hidden" name="product_id" value="7003840">
                                        <button class="quickOrderBtn open-modal-add-basket krc-btn krc-btn-border" data-track="track-addtocart" title="Sepete Ekle" id="quickAdd-7003840" data-productid="7003840"><i class="krc-add-to-basket"></i> Sepete Ekle
                                        </button>

                                    </form>
                                </div>


                                <div data-productname="<?= $product->ProductName ?>" data-productid="7003840" data-track="track-addtocart" class="add-cart-button-mbl-grid" style="display: none;">
                                    <form class="infoLine addBasket order-11" name="addToCartQuick" action="" role="form" method="post" id="addToCartQuick-7003840">

                                        <input type="hidden" name="without" id="without" value="">
                                        <input type="hidden" name="quantity" value="1">
                                        <input type="hidden" name="product_id" value="7003840">
                                        <button class="quickOrderBtn open-modal-add-basket krc-btn krc-btn-border" data-track="track-addtocart" title="Sepete Ekle" id="quickAdd-7003840" data-productid="7003840"><i class="krc-add-to-basket"></i> Sepete Ekle
                                        </button>

                                    </form>
                                </div>


                                <div class="productMenu">

                                    <img style="z-index: 555555;" data-src="https://cdn.karaca.com/image/banner/8202/kargo-bedava-badge-300724.png" class="plp-badge-img lazyloading" alt="<?= $product->ProductName ?>" src="https://cdn.karaca.com/image/banner/8202/kargo-bedava-badge-300724.png">

                                </div>

                            </a>
                        </div>
                    </div>
                <?php } ?>


                </script> </div></div></section><section><div class="categoryBottomInfoPLP"></div></section><section class="app-download-section"><div class="app-download-component type-2"><div class="row justify-content-between"><div class="col-lg-5 col-md-5 col-12 text"><div class="inner"><p>Kaçırılmayacak Fırsatları <br>Keşfetmeye Başla</p><img src="https://cdn.karaca.com/image/banner/karaca/app-download-component/sende-karaca-varmi.png" alt="Sende Karaca Var Mı?" class=" ls-is-cached lazyloaded" loading="lazy"><span class="d-block">Uygulamayı İndirin</span><div class="d-flex justify-content-center"><div class="inner-tooltip"><span>Telefonunuzun kamerasını açın</span><div class="innering"><a href="https://app.adjust.com/3nen34?campaign=website-footer&amp;fallback=https://www.karaca.com/karaca-mobil-uygulama" target="_blank" rel="noopener nofollow"><img src="https://cdn.karaca.com/image/banner/karaca/app-download-component/qr_code_new_2.png" alt="App" class=" ls-is-cached lazyloaded" loading="lazy"></a><span>QR kodu telefonunuzun kamerasından okutarak uygulamamımızı indirebilirsiniz.</span></div></div><a href="https://app.adjust.com/3nen34?deep_link=karaca%3A%2F%2F&amp;campaign=ios-buton&amp;fallback=https%3A%2F%2Fapps.apple.com%2Fapp%2Fid1547965580%3Fmt%3D8" target="_blank" rel="noopener nofollow"><img src="https://cdn.karaca.com/image/banner/karaca/app-download-component/app-store-new.png" alt="App Store Link" class=" ls-is-cached lazyloaded" loading="lazy"></a><a href="https://app.adjust.com/3nen34?deep_link=karaca%3A%2F%2F&amp;campaign=android-buton&amp;fallback=https%3A%2F%2Fplay.google.com%2Fstore%2Fapps%2Fdetails%3Fgl%3DUS%26hl%3Den%26id%3Dnet.btpro.client.karaca%26referrer%3Dadjust_reftag%253DcYVwojA9EeMrp%2526utm_source%253DAndroid%252BMobil%252BLP%252BInstall" target="_blank" rel="noopener nofollow"><img src="https://cdn.karaca.com/image/banner/karaca/app-download-component/google-play-new.png" alt="Google Play Link" class=" ls-is-cached lazyloaded" loading="lazy"></a><a href="https://appgallery.huawei.com/app/C104784009" target="_blank" rel="noopener nofollow"><img src="https://cdn.karaca.com/image/banner/karaca/app-download-component/huawei-new.png" alt="Huawei Link" class=" ls-is-cached lazyloaded" loading="lazy"></a></div></div></div><div class="col-lg-5 col-md-5 col-12 image"><img src="https://cdn.karaca.com/image/banner/karaca/app-download-component/footer-banner.jpg" alt="Karaca" class=" ls-is-cached lazyloaded" loading="lazy" width="338" height="388"></div></div></div></section></main>

</div></div></div></div></div></section></main>
</body>

<script>
    // Pop-up gösterme fonksiyonu
    function showPopup() {
        document.getElementById('popup-bg').style.display = 'block';
        document.getElementById('popup').style.display = 'block';
    }

    // Pop-up kapatma fonksiyonu
    document.querySelector('.btn-custom-bg-blue').addEventListener('click', function() {
        document.getElementById('popup-bg').style.display = 'none';
        document.getElementById('popup').style.display = 'none';
    });

    // Sayfa yüklendiğinde pop-up'ı otomatik olarak göster
    window.onload = function() {
        showPopup();
    };
</script>

</html>


<?php include("./footer.php") ?>

<!-- Pop-up JavaScript 
<script>
    window.onload = function() {
        const popup = document.getElementById('popup');
        const closeBtn = document.querySelector('.close-btn');
        const ctaButton = document.querySelector('.cta-button');
        const timerElement = document.getElementById('timer');

        // Show popup after page load
        setTimeout(() => {
            popup.style.display = 'flex';
            startTimer(24 * 60 * 60); // Start the timer with 24 hours in seconds
        }, 500); // Pop-up will show after 0.5 seconds

        // Close popup on close button click
        closeBtn.addEventListener('click', () => {
            popup.style.display = 'none';
        });

        // Close popup when clicking outside of it
        window.addEventListener('click', (event) => {
            if (event.target === popup) {
                popup.style.display = 'none';
            }
        });

        // Close popup on CTA button click
        ctaButton.addEventListener('click', () => {
            popup.style.display = 'none';
        });

        // Timer countdown function
        function startTimer(seconds) {
            let time = seconds;
            const countdown = setInterval(() => {
                let hours = Math.floor(time / 3600);
                let minutes = Math.floor((time % 3600) / 60);
                let seconds = time % 60;
                timerElement.textContent = `${hours.toString().padStart(2, '0')}:${minutes.toString().padStart(2, '0')}:${seconds.toString().padStart(2, '0')}`;
                time--;

                if (time < 0) {
                    clearInterval(countdown);
                    popup.style.display = 'none'; // Automatically close popup when timer reaches zero
                }
            }, 1000);
        }
    };-->
</script>
